package jrummikub.model;

/** Basic Rummikub Stone */

public class Stone {
	private int value;
	private StoneColor color;
	private final boolean joker;

	public Stone(StoneColor color)  {
		this.value = 0;
		this.color = color;
		this.joker = true;
	}
	
	public Stone(int value, StoneColor color)  {
		this.value = value;
		this.color = color;
		this.joker = false;
	}
	
	public Stone(int value, StoneColor color, boolean joker) {
		this.value = value;
		this.color = color;
		this.joker = joker;
	}

	public StoneColor getColor() {
		return color;
	}

	public boolean isJoker() {
		return joker;
	}

	public int getValue() {
		return value;
	}

}
